
/*
 *  Test the library
 */

long TestBase;

extern long OpenLibrary();
extern void *AllocMem();
extern long Add(), Sub();

main(ac,av)
char *av[];
{
    if (ac != 1) {
	register long i = 256000;
	register char *ptr;
	puts("Expunging by allocating too much memory");
	while (ptr = AllocMem(i,0)) {
	    FreeMem(ptr,i);
	    i <<= 1;
	}
	puts("ok");
	exit(1);
    }

    TestBase = OpenLibrary("testlib.library",0);
    if (TestBase) {
	printf("Open OK %08xl\n", TestBase);
	printf("ADD 1 -> %ld (should be 2)\n", Add(1L));
	printf("SUB 33-> %ld (should be 32)\n", Sub(33L));
	CloseLibrary(TestBase);
	puts("Close OK");
    } else {
	puts("Unable to Open");
    }
}


